# Class ChartObservation

Namespace
  adas_core.Domain.Models.Observations

Assembly
  adas-core.Domain.dll

Represents an observation that is associated with a chart, providing chart-specific contextual data derived from the base Observation type.

    public class ChartObservation : Observation

Inheritance
  object
  Observation
  ChartObservation

Inherited Members
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.GetType()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)
  object.ToString()

Extension Methods
  NumberUtils.IsNumber(object)
  NumberUtils.ToDouble(object)
  ObjectUtils.ToStr(object?)

## Properties

### Labels

    public List<double> Labels { get; set; }

#### Property Value

List<double>

### Max

    public double Max { get; set; }

#### Property Value

double

### MaxWarn

    public double? MaxWarn { get; set; }

#### Property Value

double?

### Min

    public double Min { get; set; }

#### Property Value

double

### MinWarn

    public double? MinWarn { get; set; }

#### Property Value

double?

### SecondaryValues

    public List<double> SecondaryValues { get; set; }

#### Property Value

List<double>

### Values

    public List<double> Values { get; set; }

#### Property Value

List<double>